Bug 487213 - [Intel 5.4 bug] ixgbe driver double counts RX byte count
[Intel 5.4 bug] ixgbe driver double counts RX byte count
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
urgent Severity medium
: rc
: 5.4
Assigned To: Andy Gospodarek
Red Hat Kernel QE team
: ZStream
Depends On:
Blocks: 480792 489459
  Show dependency treegraph
 
Reported: 2009-02-24 14:35 EST by John Ronciak
Modified: 2014-06-29 19:01 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:02:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ixgbe-count-frames-and-bytes-received-only-once.patch (875 bytes, patch)
2009-03-02 17:08 EST, Andy Gospodarek
no flags Details | Diff

  None (edit)
Description John Ronciak 2009-02-24 14:35:26 EST
Description of problem: With the latest 5.3/ZStream ixgbe driver the byte count shows up a 2x the real value.

How reproducible:
Always

Steps to Reproduce:
1. Just put traffic through the ixgbe driver and see the the byte count is 2x the actual value.

Andy asked me to open a new bug on this.  This should be fixed for the upcoming ZStream release.
Comment 1 Andy Gospodarek 2009-03-02 17:08:40 EST
Created attachment 333792 [details]
ixgbe-count-frames-and-bytes-received-only-once.patch

Completely untested, but by inspection I'm guessing this is the problem.
Comment 2 John Ronciak 2009-03-03 18:23:34 EST
The patch does indeed solve the problem from both visual inspection and by installing and running it.  The BZ can now be closed as fixed.  

Thanks Andy.
Comment 5 RHEL Product and Program Management 2009-03-05 11:18:44 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Don Zickus 2009-04-16 14:39:26 EDT
in kernel-2.6.18-139.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 14 errata-xmlrpc 2009-09-02 04:02:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.